org.appng.cli.commands.permission

## Class ListPermissions

- java.lang.Object
- - org.appng.cli.commands.CommandList
  - - org.appng.cli.commands.permission.ListPermissions

- All Implemented Interfaces:
    ExecutableCliCommand

      public class ListPermissions
      extends CommandList
      implements ExecutableCliCommand

  Lists the available `Permission`s for a `Application`/`Role`.

       Usage: appng list-permissions [options]
         Options:
         * -a
              The application name.
           -r
              The role name.
           -t
              Prints tab-separated values instead of a table.
              Default: false
           -v
              Verbose output.
              Default: false

  Author:
    Matthias Müller

- - ### Field Summary

    - ### Fields inherited from class org.appng.cli.commands.CommandList

      `beVerbose, prettyTable, tabbedValues`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `ListPermissions()`
    `protected` | `ListPermissions(String applicationName, String roleName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute(CliEnvironment cle)` Executes the command.

    - ### Methods inherited from class org.appng.cli.commands.CommandList

      `getPrettyTable, renderTable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListPermissions

          public ListPermissions()

    - #### ListPermissions

          protected ListPermissions(String applicationName,
                                    String roleName)

  - ### Method Detail

    - #### execute

          public void execute(CliEnvironment cle)
                       throws BusinessException

      Description copied from interface: `ExecutableCliCommand`
      Executes the command.
      Specified by:
        `execute` in interface `ExecutableCliCommand`
      Parameters:
        `cle` - the `CliEnvironment` to use
      Throws:
        `BusinessException` - if on error occurs while executing the command

Copyright © 2011–2023 aiticon GmbH. All rights reserved.